CVE-2000-0499
CVSS5.0
发布时间 :2000-06-08 00:00:00
修订时间 :2008-09-10 15:04:50
NMCO    

[原文]The default configuration of BEA WebLogic 3.1.8 through 4.5.1 allows a remote attacker to view source code of a JSP program by requesting a URL which provides the JSP extension in upper case.


[CNNVD]BEA WebLogicJSP源代码泄露漏洞(CNNVD-200006-037)

        BEA WebLogic 3.1.8至4.5.1版本的默认配置存在漏洞。远程攻击者通过请求提供大写扩展名的URL可以查看JSP程序的源代码。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:bea:weblogic_server:3.1.8BEA Systems WebLogic Server 3.1.8
cpe:/a:bea:weblogic_server:::express
cpe:/a:bea:weblogic_server:4.5.1BEA Systems WebLogic Server 4.5.1
cpe:/a:bea:weblogic_server:4.0.4BEA Systems WebLogic Server 4.0.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-0499
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-0499
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200006-037
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/1328
(VENDOR_ADVISORY)  BID  1328
http://developer.bea.com/alerts/security_000612.html
(UNKNOWN)  CONFIRM  http://developer.bea.com/alerts/security_000612.html
http://xforce.iss.net/static/4694.php
(UNKNOWN)  XF  weblogic-jsp-source-read
http://archives.neohapsis.com/archives/ntbugtraq/2000-q2/0262.htm
(UNKNOWN)  NTBUGTRAQ  20000612 BEA WebLogic JSP showcode vulnerability

- 漏洞信息

BEA WebLogicJSP源代码泄露漏洞
中危 未知
2000-06-08 00:00:00 2005-05-02 00:00:00
远程  
        BEA WebLogic 3.1.8至4.5.1版本的默认配置存在漏洞。远程攻击者通过请求提供大写扩展名的URL可以查看JSP程序的源代码。

- 公告与补丁

        

- 漏洞信息

7310
BEA WebLogic Upper Case Request JSP Source Disclosure
Information Disclosure
Loss of Confidentiality Workaround
Vendor Verified

- 漏洞描述

- 时间线

2000-06-12 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades or patches to correct this vulnerability. It is possible to temporarily work around the flaw by implementing the following workaround: set weblogic.properties to: weblogic.httpd.servlet.extensionCaseSensitive=true

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站